Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000249KdenliveMLTpublic2008-10-22 00:012008-11-12 22:22
Reporterjmpoure 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDebianOSGNU/LinuxOS VersionSID
Product Version 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000249: Kdenlive + mlt + FreiOr water effect startup bug
Description-- Installing: /usr/bin/kdenlive_render
-- Installing: /usr/lib/kde4/westleypreview.so
-- Up-to-date: /usr/share/kde4/services/westleypreview.desktop
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/automask.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/boxblur.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/brightness.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/charcoal.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/chroma_hold.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/chroma.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/freeze.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/gamma.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/greyscale.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/invert.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_declipper.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_equalizer.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_limiter.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_phaser.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_pitch_scale.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_pitch.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_rate_scale.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_reverb.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_room_reverb.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/ladspa_vinyl.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/mirror.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/mute.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/normalise.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/obscure.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/rotation.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/sepia.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/sox_echo.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/sox_flanger.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/sox_pitch.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/sox_reverb.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/sox_vibro.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/threshold.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/volume.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/wave.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/fadein.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/effects/fadeout.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/export/profiles.xml
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-show-audiothumb.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-show-markers.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-show-videothumb.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-snap.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-hide-audio.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-add-clip.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-add-color-clip.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-add-text-clip.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-align-vert.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-show-audio.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-align-hor.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-show-video.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-add-slide-clip.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-insert-rect.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/16x16/actions/./kdenlive-hide-video.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/scalable/actions/./kdenlive-zone-start.svgz
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/scalable/actions/./kdenlive-zone-end.svgz
-- Up-to-date: /usr/share/kde4/apps/kdenlive/icons/hicolor/scalable/actions/./kdenlive-select-tool.svgz
-- Up-to-date: /usr/share/kde4/apps/kdenlive/banner.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/timeline_nothumbs.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/timeline_athumbs.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/timeline_vthumbs.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/timeline_avthumbs.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/transition.png
-- Up-to-date: /usr/share/kde4/apps/kdenlive/metadata.properties
-- Installing: /usr/share/locale/de/LC_MESSAGES/kdenlive.mo
-- Installing: /usr/share/locale/ca/LC_MESSAGES/kdenlive.mo
-- Installing: /usr/share/locale/da/LC_MESSAGES/kdenlive.mo
-- Installing: /usr/share/locale/nl/LC_MESSAGES/kdenlive.mo
-- Installing: /usr/share/locale/cs/LC_MESSAGES/kdenlive.mo
-- Installing: /usr/share/locale/zh/LC_MESSAGES/kdenlive.mo
-- Installing: /usr/share/locale/es/LC_MESSAGES/kdenlive.mo
-- Installing: /usr/share/locale/fr/LC_MESSAGES/kdenlive.mo
jmpoure@debian:~/logiciels/kdenlive$ kdenlive
kdenlive(22819) MainWindow::parseProfiles: RESULTING MLT PATH: "/usr/share/mlt/profiles/"
*** glibc detected *** kdenlive: free(): invalid pointer: 0x00007f58c590d960 ***
======= Backtrace: =========
/lib/libc.so.6[0x7f58cd300948]
/lib/libc.so.6(cfree+0x76)[0x7f58cd302a56]
/usr/lib/frei0r-1/water.so(_ZN6frei0r9constructI5WaterEC1ERKSsS4_S4_RKiS6_j+0xc0)[0x7f58b46e3a00]
/usr/lib/frei0r-1/water.so[0x7f58b46e1a6c]
/usr/lib/frei0r-1/water.so[0x7f58b46e3b26]
======= Memory map: ========
00400000-0068a000 r-xp 00000000 fd:01 245342 /usr/bin/kdenlive
00889000-0088d000 rw-p 00289000 fd:01 245342 /usr/bin/kdenlive
0088d000-0088e000 rw-p 0088d000 00:00 0
00fb5000-011a2000 rw-p 00fb5000 00:00 0 [heap]
7f58b0000000-7f58b0021000 rw-p 7f58b0000000 00:00 0
7f58b0021000-7f58b4000000 ---p 7f58b0021000 00:00 0
7f58b46de000-7f58b46e5000 r-xp 00000000 fd:01 1262644 /usr/lib/frei0r-1/water.so
7f58b46e5000-7f58b48e4000 ---p 00007000 fd:01 1262644 /usr/lib/frei0r-1/water.so
7f58b48e4000-7f58b48e5000 rw-p 00006000 fd:01 1262644 /usr/lib/frei0r-1/water.so
7f58b48e5000-7f58b48e9000 r-xp 00000000 fd:01 524256 /usr/lib/mlt/libmltfrei0r.so
7f58b48e9000-7f58b4ae8000 ---p 00004000 fd:01 524256 /usr/lib/mlt/libmltfrei0r.so
7f58b4ae8000-7f58b4ae9000 rw-p 00003000 fd:01 524256 /usr/lib/mlt/libmltfrei0r.so
7f58b4ae9000-7f58b4b09000 r-xp 00000000 fd:01 2273012 /lib/libx86.so.1
7f58b4b09000-7f58b4d08000 ---p 00020000 fd:01 2273012 /lib/libx86.so.1
7f58b4d08000-7f58b4d0a000 rw-p 0001f000 fd:01 2273012 /lib/libx86.so.1
7f58b4d0a000-7f58b4d0b000 rw-p 7f58b4d0a000 00:00 0
7f58b4d0b000-7f58b4d59000 r-xp 00000000 fd:01 491241 /usr/lib/libvga.so.1.4.3
7f58b4d59000-7f58b4f58000 ---p 0004e000 fd:01 491241 /usr/lib/libvga.so.1.4.3
7f58b4f58000-7f58b4f61000 rw-p 0004d000 fd:01 491241 /usr/lib/libvga.so.1.4.3
7f58b4f61000-7f58b4f6a000 rw-p 7f58b4f61000 00:00 0
7f58b4f6a000-7f58b503f000 r-xp 00000000 fd:01 458101 /usr/lib/libasound.so.2.0.0
7f58b503f000-7f58b523e000 ---p 000d5000 fd:01 458101 /usr/lib/libasound.so.2.0.0
7f58b523e000-7f58b5246000 rw-p 000d4000 fd:01 458101 /usr/lib/libasound.so.2.0.0
7f58b5246000-7f58b52b3000 r-xp 00000000 fd:01 247427 /usr/lib/libSDL-1.2.so.0.11.2
7f58b52b3000-7f58b54b2000 ---p 0006d000 fd:01 247427 /usr/lib/libSDL-1.2.so.0.11.2
7f58b54b2000-7f58b54b5000 rw-p 0006c000 fd:01 247427 /usr/lib/libSDL-1.2.so.0.11.2
7f58b54b5000-7f58b5501000 rw-p 7f58b54b5000 00:00 0
7f58b5501000-7f58b5508000 r-xp 00000000 fd:01 524259 /usr/lib/mlt/libmltsdl.so
7f58b5508000-7f58b5708000 ---p 00007000 fd:01 524259 /usr/lib/mlt/libmltsdl.so
7f58b5708000-7f58b5709000 rw-p 00007000 fd:01 524259 /usr/lib/mlt/libmltsdl.so
7f58b5709000-7f58b5713000 r-xp 00000000 fd:01 524255 /usr/lib/mlt/libmltmotion_est.so
7f58b5713000-7f58b5912000 ---p 0000a000 fd:01 524255 /usr/lib/mlt/libmltmotion_est.so
7f58b5912000-7f58b5913000 rw-p 00009000 fd:01 524255 /usr/lib/mlt/libmltmotion_est.so
7f58b5913000-7f58b593f000 r-xp 00000000 fd:01 247283 /usr/lib/libpixman-1.so.0.10.0
7f58b593f000-7f58b5b3e000 ---p 0002c000 fd:01 247283 /usr/lib/libpixman-1.so.0.10.0
7f58b5b3e000-7f58b5b40000 rw-p 0002b000 fd:01 247283 /usr/lib/libpixman-1.so.0.10.0
7f58b5b40000-7f58b5b47000 r-xp 00000000 fd:01 252495 /usr/lib/libxcb-render.so.0.0.0
7f58b5b47000-7f58b5d47000 ---p 00007000 fd:01 252495 /usr/lib/libxcb-render.so.0.0.0
7f58b5d47000-7f58b5d48000 rw-p 00007000 fd:01 252495 /usr/lib/libxcb-render.so.0.0.0
7f58b5d48000-7f58b5d4b000 r-xp 00000000 fd:01 249019 /usr/lib/libxcb-render-util.so.0.0.0
7f58b5d4b000-7f58b5f4a000 ---p 00003000 fd:01 249019 /usr/lib/libxcb-render-util.so.0.0.0
7f58b5f4a000-7f58b5f4b000 rw-p 00002000 fd:01 249019 /usr/lib/libxcb-render-util.so.0.0.0
7f58b5f4b000-7f58b5f60000 r-xp 00000000 fd:01 246519 /usr/lib/libdirect-1.0.so.0.1.0
7f58b5f60000-7f58b615f000 ---p 00015000 fd:01 246519 /usr/lib/libdirect-1.0.so.0.1.0
7f58b615f000-7f58b6160000 rw-p 00014000 fd:01 246519 /usr/lib/libdirect-1.0.so.0.1.0
7f58b6160000-7f58b6161000 rw-p 7f58b6160000 00:00 0
7f58b6161000-7f58b6169000 r-xp 00000000 fd:01 248012 /usr/lib/libfusion-1.0.so.0.1.0
7f58b6169000-7f58b6368000 ---p 00008000 fd:01 248012 /usr/lib/libfusion-1.0.so.0.1.0
7f58b6368000-7f58b6369000 rw-p 00007000 fd:01 248012 /usr/lib/libfusion-1.0.so.0.1.0
7f58b6369000-7f58b63dd000 r-xp 00000000 fd:01 248010 /usr/lib/libdirectfb-1.0.so.0.1.0
7f58b63dd000-7f58b65dc000 ---p 00074000 fd:01 248010 /usr/lib/libdirectfb-1.0.so.0.1.0
7f58b65dc000-7f58b65e0000 rw-p 00073000 fd:01 248010 /usr/lib/libdirectfb-1.0.so.0.1.0
7f58b65e0000-7f58b65e2000 r-xp 00000000 fd:01 251190 /usr/lib/libXdamage.so.1.1.0
7f58b65e2000-7f58b67e1000 ---p 00002000 fd:01 251190 /usr/lib/libXdamage.so.1.1.0
7f58b67e1000-7f58b67e2000 rw-p 00001000 fd:01 251190 /usr/lib/libXdamage.so.1.1.0
7f58b67e2000-7f58b67e4000 r-xp 00000000 fd:01 249496 /usr/lib/libXcomposite.so.1.0.0
7f58b67e4000-7f58b69e3000 ---p 00002000 fd:01 249496 /usr/lib/libXcomposite.so.1.0.0
7f58b69e3000-7f58b69e4000 rw-p 00001000 fd:01 249496 /usr/lib/libXcomposite.so.1.0.0
7f58b69e4000-7f58b6a0f000 r-xp 00000000 fd:01 252504 /usr/lib/libpangoft2-1.0.so.0.2002.3
7f58b6a0f000-7f58b6c0f000 ---p 0002b000 fd:01 252504 /usr/lib/libpangoft2-1.0.so.0.2002.3
7f58b6c0f000-7f58b6c10000 rw-p 0002b000 fd:01 252504 /usr/lib/libpangoft2-1.0.so.0.2002.3
7f58b6c10000-7f58b6c13000 r-xp 00000000 fd:01 245639 /usr/lib/libgmodule-2.0.so.0.1600.6
7f58b6c13000-7f58b6e12000 ---p 00003000 fd:01 245639 /usr/lib/libgmodule-2.0.so.0.1600.6
7f58b6e12000-7f58b6e13000 rw-p 00002000 fd:01 245639 /usr/lib/libgmodule-2.0.so.0.1600.6
7f58b6e13000-7f58b6e55000 r-xp 00000000 fd:01 254771 /usr/lib/libgobject-2.0.so.0.1600.6
7f58b6e55000-7f58b7055000 ---p 00042000 fd:01 254771 /usr/lib/libgobject-2.0.so.0.1600.6
7f58b7055000-7f58b7057000 rw-p 00042000 fd:01 254771 /usr/lib/libgobject-2.0.so.0.1600.6
7f58b7057000-7f58b70c9000 r-xp 00000000 fd:01 255018 /usr/lib/libcairo.so.2.17.5
7f58b70c9000-7f58b72c9000 ---p 00072000 fd:01 255018 /usr/lib/libcairo.so.2.17.5
7f58b72c9000-7f58b72cc000 rw-p 00072000 fd:01 255018 /usr/lib/libcairo.so.2.17.5
7f58b72cc000-7f58b7311000 r-xp 00000000 fd:01 248250 /usr/lib/libpango-1.0.so.0.2002.3
7f58b7311000-7f58b7510000 ---p 00045000 fd:01 248250 /usr/lib/libpango-1.0.so.0.2002.3
7f58b7510000-7f58b7513000 rw-p 00044000 fd:01 248250 /usr/lib/libpango-1.0.so.0.2002.3
7f58b7513000-7f58b751d000 r-xp 00000000 fd:01 250342 /usr/lib/libpangocairo-1.0.so.0.2002.3
7f58b751d000-7f58b771d000 ---p 0000a000 fd:01 250342 /usr/lib/libpangocairo-1.0.so.0.2002.3
7f58b771d000-7f58b771e000 rw-p 0000a000 fd:01 250342 /usr/lib/libpangocairo-1.0.so.0.2002.3
7f58b771e000-7f58b7738000 r-xp 00000000 fd:01 251515 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.11
7f58b7738000-7f58b7937000 ---p 0001a000 fd:01 251515 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.11
7f58b7937000-7f58b7938000 rw-p 00019000 fd:01 251515 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.11
7f58b7938000-7f58b7956000 r-xp 00000000 fd:01 252064 /usr/lib/libatk-1.0.so.0.2209.1
7f58b7956000-7f58b7b56000 ---p 0001e000 fd:01 252064 /usr/lib/libatk-1.0.so.0.2209.1
7f58b7b56000-7f58b7b59000 rw-p 0001e000 fd:01 252064 /usr/lib/libatk-1.0.so.0.2209.1
7f58b7bKCrash: Application 'kdenlive' crashing...
Steps To ReproduceAlways.
Additional Informationinigo works well.
Did not test with water effect.
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000546)
jmpoure (developer)
2008-10-22 09:29
edited on: 2008-10-22 09:30

FreiOr recently moved to GIT:

* Anonymous checkout: git clone git://code.dyne.org/frei0r.git [^]
* Update: git pull

(0000547)
jmpoure (developer)
2008-10-22 09:35

Moving away /usr/lib/freiO-1/water.so fixes this issue.
There is a problem with water effect.
(0000548)
jmpoure (developer)
2008-10-22 10:11

This seems to be a known problem:
https://plot.bek.no/pipermail/frei0r-devel/2008-June/000412.html [^]
(0000576)
madsdyd (administrator)
2008-10-22 17:05

I really would like to confirm this issue, but I have trouble getting my kdenlive installation to accept frei0r modules... I will try to look into it, but it may be a little while.

If anyone else can confirm it, please do.

Re a workaround: is it possible to configure frei0r to not install all modules?
(0000580)
administrator (administrator)
2008-10-22 20:18

I just added a way to blacklist effects in Kdenlive. There now is a file called blacklisted_effects.txt installed in install_dir/share/apps/kdenlive

I added the freior water effect to that blacklist, which solves the issue until the real problem gets fixed (looks like a problem in freior).
(0000581)
madsdyd (administrator)
2008-10-22 20:43

Closing as fixed, in svn rev. 2530.

The actual effect should be fixed upstream.
(0000603)
jmpoure (developer)
2008-10-23 08:51

I recompiled MLT + freiOr patch + Kdenlive with backlist.
The problem is still here:

======= Backtrace: =========
/lib/libc.so.6[0x7f37f66fb948]
/lib/libc.so.6(cfree+0x76)[0x7f37f66fda56]
/usr/lib/frei0r-1/water.so(_ZN6frei0r9constructI5WaterEC1ERKSsS4_S4_RKiS6_j+0xc0)[0x7f37e1113a00]
/usr/lib/frei0r-1/water.so[0x7f37e1111a6c]
/usr/lib/frei0r-1/water.so[0x7f37e1113b26]
======= Memory map: ========
00400000-0068c000 r-xp 00000000 fd:01 245342 /usr/bin/kdenlive
0088b000-00890000 rw-p 0028b000 fd:01 245342 /usr/bin/kdenlive
0108e000-01200000 rw-p 0108e000 00:00 0 [heap]
7f37dc000000-7f37dc021000 rw-p 7f37dc000000 00:00 0
7f37dc021000-7f37e0000000 ---p 7f37dc021000 00:00 0
7f37e110e000-7f37e1115000 r-xp 00000000 fd:01 267394 /usr/lib/frei0r-1/water.so
7f37e1115000-7f37e1314000 ---p 00007000 fd:01 267394 /usr/lib/frei0r-1/water.so
7f37e1314000-7f37e1315000 rw-p 00006000 fd:01 267394 /usr/lib/frei0r-1/water.so
7f37e1315000-7f37e1319000 r-xp 00000000 fd:01 524255 /usr/lib/mlt/libmltfrei0r.so
7f37e1319000-7f37e1518000 ---p 00004000 fd:01 524255 /usr/lib/mlt/libmltfrei0r.so
7f37e1518000-7f37e1519000 rw-p 00003000 fd:01 524255 /usr/lib/mlt/libmltfrei0r.so
7f37e1519000-7f37e1539000 r-xp 00000000 fd:01 2273012 /lib/libx86.so.1
7f37e1539000-7f37e1738000 ---p 00020000 fd:01 2273012 /lib/libx86.so.1
7f37e1738000-7f37e173a000 rw-p 0001f000 fd:01 2273012 /lib/libx86.so.1
7f37e173a000-7f37e173b000 rw-p 7f37e173a000 00:00 0
7f37e173b000-7f37e1789000 r-xp 00000000 fd:01 491241 /usr/lib/libvga.so.1.4.3
7f37e1789000-7f37e1988000 ---p 0004e000 fd:01 491241 /usr/lib/libvga.so.1.4.3
7f37e1988000-7f37e1991000 rw-p 0004d000 fd:01 491241 /usr/lib/libvga.so.1.4.3
7f37e1991000-7f37e199a000 rw-p 7f37e1991000 00:00 0
7f37e199a000-7f37e1a6f000 r-xp 00000000 fd:01 458101 /usr/lib/libasound.so.2.0.0
7f37e1a6f000-7f37e1c6e000 ---p 000d5000 fd:01 458101 /usr/lib/libasound.so.2.0.0
7f37e1c6e000-7f37e1c76000 rw-p 000d4000 fd:01 458101 /usr/lib/libasound.so.2.0.0
7f37e1c76000-7f37e1ce3000 r-xp 00000000 fd:01 247427 /usr/lib/libSDL-1.2.so.0.11.2
7f37e1ce3000-7f37e1ee2000 ---p 0006d000 fd:01 247427 /usr/lib/libSDL-1.2.so.0.11.2
7f37e1ee2000-7f37e1ee5000 rw-p 0006c000 fd:01 247427 /usr/lib/libSDL-1.2.so.0.11.2
7f37e1ee5000-7f37e1f31000 rw-p 7f37e1ee5000 00:00 0
7f37e1f31000-7f37e1f38000 r-xp 00000000 fd:01 524258 /usr/lib/mlt/libmltsdl.so
7f37e1f38000-7f37e2138000 ---p 00007000 fd:01 524258 /usr/lib/mlt/libmltsdl.so
7f37e2138000-7f37e2139000 rw-p 00007000 fd:01 524258 /usr/lib/mlt/libmltsdl.so
7f37e2139000-7f37e2143000 r-xp 00000000 fd:01 524254 /usr/lib/mlt/libmltmotion_est.so
7f37e2143000-7f37e2342000 ---p 0000a000 fd:01 524254 /usr/lib/mlt/libmltmotion_est.so
7f37e2342000-7f37e2343000 rw-p 00009000 fd:01 524254 /usr/lib/mlt/libmltmotion_est.so
7f37e2343000-7f37e236f000 r-xp 00000000 fd:01 247283 /usr/lib/libpixman-1.so.0.10.0
7f37e236f000-7f37e256e000 ---p 0002c000 fd:01 247283 /usr/lib/libpixman-1.so.0.10.0
7f37e256e000-7f37e2570000 rw-p 0002b000 fd:01 247283 /usr/lib/libpixman-1.so.0.10.0
7f37e2570000-7f37e2577000 r-xp 00000000 fd:01 252495 /usr/lib/libxcb-render.so.0.0.0
7f37e2577000-7f37e2777000 ---p 00007000 fd:01 252495 /usr/lib/libxcb-render.so.0.0.0
7f37e2777000-7f37e2778000 rw-p 00007000 fd:01 252495 /usr/lib/libxcb-render.so.0.0.0
7f37e2778000-7f37e277b000 r-xp 00000000 fd:01 249019 /usr/lib/libxcb-render-util.so.0.0.0
7f37e277b000-7f37e297a000 ---p 00003000 fd:01 249019 /usr/lib/libxcb-render-util.so.0.0.0
7f37e297a000-7f37e297b000 rw-p 00002000 fd:01 249019 /usr/lib/libxcb-render-util.so.0.0.0
7f37e297b000-7f37e2990000 r-xp 00000000 fd:01 246519 /usr/lib/libdirect-1.0.so.0.1.0
7f37e2990000-7f37e2b8f000 ---p 00015000 fd:01 246519 /usr/lib/libdirect-1.0.so.0.1.0
7f37e2b8f000-7f37e2b90000 rw-p 00014000 fd:01 246519 /usr/lib/libdirect-1.0.so.0.1.0
7f37e2b90000-7f37e2b91000 rw-p 7f37e2b90000 00:00 0
7f37e2b91000-7f37e2b99000 r-xp 00000000 fd:01 248012 /usr/lib/libfusion-1.0.so.0.1.0
7f37e2b99000-7f37e2d98000 ---p 00008000 fd:01 248012 /usr/lib/libfusion-1.0.so.0.1.0
7f37e2d98000-7f37e2d99000 rw-p 00007000 fd:01 248012 /usr/lib/libfusion-1.0.so.0.1.0
7f37e2d99000-7f37e2e0d000 r-xp 00000000 fd:01 248010 /usr/lib/libdirectfb-1.0.so.0.1.0
7f37e2e0d000-7f37e300c000 ---p 00074000 fd:01 248010 /usr/lib/libdirectfb-1.0.so.0.1.0
7f37e300c000-7f37e3010000 rw-p 00073000 fd:01 248010 /usr/lib/libdirectfb-1.0.so.0.1.0
7f37e3010000-7f37e3012000 r-xp 00000000 fd:01 251190 /usr/lib/libXdamage.so.1.1.0
7f37e3012000-7f37e3211000 ---p 00002000 fd:01 251190 /usr/lib/libXdamage.so.1.1.0
7f37e3211000-7f37e3212000 rw-p 00001000 fd:01 251190 /usr/lib/libXdamage.so.1.1.0
7f37e3212000-7f37e3214000 r-xp 00000000 fd:01 249496 /usr/lib/libXcomposite.so.1.0.0
7f37e3214000-7f37e3413000 ---p 00002000 fd:01 249496 /usr/lib/libXcomposite.so.1.0.0
7f37e3413000-7f37e3414000 rw-p 00001000 fd:01 249496 /usr/lib/libXcomposite.so.1.0.0
7f37e3414000-7f37e343f000 r-xp 00000000 fd:01 252504 /usr/lib/libpangoft2-1.0.so.0.2002.3
7f37e343f000-7f37e363f000 ---p 0002b000 fd:01 252504 /usr/lib/libpangoft2-1.0.so.0.2002.3
7f37e363f000-7f37e3640000 rw-p 0002b000 fd:01 252504 /usr/lib/libpangoft2-1.0.so.0.2002.3
7f37e3640000-7f37e3643000 r-xp 00000000 fd:01 245639 /usr/lib/libgmodule-2.0.so.0.1600.6
7f37e3643000-7f37e3842000 ---p 00003000 fd:01 245639 /usr/lib/libgmodule-2.0.so.0.1600.6
7f37e3842000-7f37e3843000 rw-p 00002000 fd:01 245639 /usr/lib/libgmodule-2.0.so.0.1600.6
7f37e3843000-7f37e3885000 r-xp 00000000 fd:01 254771 /usr/lib/libgobject-2.0.so.0.1600.6
7f37e3885000-7f37e3a85000 ---p 00042000 fd:01 254771 /usr/lib/libgobject-2.0.so.0.1600.6
7f37e3a85000-7f37e3a87000 rw-p 00042000 fd:01 254771 /usr/lib/libgobject-2.0.so.0.1600.6
7f37e3a87000-7f37e3af9000 r-xp 00000000 fd:01 255018 /usr/lib/libcairo.so.2.17.5
7f37e3af9000-7f37e3cf9000 ---p 00072000 fd:01 255018 /usr/lib/libcairo.so.2.17.5
7f37e3cf9000-7f37e3cfc000 rw-p 00072000 fd:01 255018 /usr/lib/libcairo.so.2.17.5
7f37e3cfc000-7f37e3d41000 r-xp 00000000 fd:01 248250 /usr/lib/libpango-1.0.so.0.2002.3
7f37e3d41000-7f37e3f40000 ---p 00045000 fd:01 248250 /usr/lib/libpango-1.0.so.0.2002.3
7f37e3f40000-7f37e3f43000 rw-p 00044000 fd:01 248250 /usr/lib/libpango-1.0.so.0.2002.3
7f37e3f43000-7f37e3f4d000 r-xp 00000000 fd:01 250342 /usr/lib/libpangocairo-1.0.so.0.2002.3
7f37e3f4d000-7f37e414d000 ---p 0000a000 fd:01 250342 /usr/lib/libpangocairo-1.0.so.0.2002.3
7f37e414d000-7f37e414e000 rw-p 0000a000 fd:01 250342 /usr/lib/libpangocairo-1.0.so.0.2002.3
7f37e414e000-7f37e4168000 r-xp 00000000 fd:01 251515 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.11
7f37e4168000-7f37e4367000 ---p 0001a000 fd:01 251515 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.11
7f37e4367000-7f37e4368000 rw-p 00019000 fd:01 251515 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.11
7f37e4368000-7f37e4386000 r-xp 00000000 fd:01 252064 /usr/lib/libatk-1.0.so.0.2209.1
7f37e4386000-7f37e4586000 ---p 0001e000 fd:01 252064 /usr/lib/libatk-1.0.so.0.2209.1
7f37e4586000-7f37e4589000 rw-p 0001e000 fd:01 252064 /usr/lib/libatk-1.0.so.0.2209.1
7f37e4589000-7f37e461f000 r-xp 00000000 fd:01 251KCrash: Application 'kdenlive' crashing...
sock_file=/home/jmpoure/.kde4/socket-debian/kdeinit4__0
(0000604)
jmpoure (developer)
2008-10-23 08:51

Please note that this is a bug on Kdenlive startup.
(0000633)
administrator (administrator)
2008-10-23 20:19

I cannot reproduce. If I remove the frei0r.water from the blacklisted effects file, Kdenlive crases at startup, but when re-adding it in the blacklist file, Kdenlive starts fine.

Tested with latest frei0r from git.
(0000700)
jmpoure (developer)
2008-10-26 14:34

Patch from Marco on latest FreiOr git.
Waiting for integration in FreiOr git.

Thanks Marco.
(0000713)
jmpoure (developer)
2008-10-27 21:17

Patch accepted in FreiOr git.
Testing => Works

Bug closed.
All FreiOr users should upgrade to latest GIT.

- Issue History
Date Modified Username Field Change
2008-10-22 00:01 jmpoure New Issue
2008-10-22 09:29 jmpoure Note Added: 0000546
2008-10-22 09:29 jmpoure Summary kdenlive crashes on FreiOr water effect on startup => Kdenlive + mlt + FreiOr startup bug
2008-10-22 09:30 jmpoure Note Edited: 0000546
2008-10-22 09:35 jmpoure Note Added: 0000547
2008-10-22 09:38 jmpoure Summary Kdenlive + mlt + FreiOr startup bug => Kdenlive + mlt + FreiOr water effect startup bug
2008-10-22 10:11 jmpoure Note Added: 0000548
2008-10-22 17:05 madsdyd Note Added: 0000576
2008-10-22 20:18 administrator Note Added: 0000580
2008-10-22 20:43 madsdyd Note Added: 0000581
2008-10-22 20:43 madsdyd Status new => closed
2008-10-22 20:43 madsdyd Resolution open => fixed
2008-10-22 20:43 madsdyd Fixed in Version => Recent git
2008-10-23 00:20 madsdyd Target Version Recent git => 0.7.0
2008-10-23 08:51 jmpoure Note Added: 0000603
2008-10-23 08:51 jmpoure Status closed => feedback
2008-10-23 08:51 jmpoure Resolution fixed => reopened
2008-10-23 08:51 jmpoure Note Added: 0000604
2008-10-23 20:19 administrator Note Added: 0000633
2008-10-26 14:34 jmpoure Note Added: 0000700
2008-10-26 14:35 jmpoure Status feedback => acknowledged
2008-10-27 21:17 jmpoure Note Added: 0000713
2008-10-27 21:18 jmpoure Status acknowledged => closed
2008-10-27 21:18 jmpoure Resolution reopened => fixed
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker